#
# spec file for package cachefilesd
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           cachefilesd
Version:        0.10.10
Release:        2.4
Summary:        CacheFiles userspace management daemon
License:        GPL-2.0-or-later
Group:          System/Daemons
URL:            https://people.redhat.com/~dhowells/fscache/
Source:         http://people.redhat.com/~dhowells/fscache/%{name}-%{version}.tar.bz2
Patch0:         cachefilesd-autotools.patch
Patch1:         cachefilesd-config.patch
Patch2:         cachefilesd-loadmod.patch
Patch3:         cachefilesd-monitoring-howto-update.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libkmod-devel
BuildRequires:  pkgconfig
BuildRequires:  systemd-rpm-macros
%{?systemd_requires}

%description
cachefilesd is a user-space management daemon for CacheFiles, a generic
caching framework for mounted filesystems.

%prep
%setup -q
%patch -P 0
%patch -P 1
%patch -P 2
%patch -P 3 -p1

%build
autoreconf -fiv
%configure \
    --with-systemdsystemunitdir=%{_unitdir}
%make_build %{?smp_mflags}

%install
%make_install
mkdir -p %{buildroot}%{_localstatedir}/cache/fscache
install -m 644 cachefilesd.service %{buildroot}%{_unitdir}/cachefilesd.service
ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}

%pre
%service_add_pre %{name}.service

%preun
%service_del_preun %{name}.service

%post
%service_add_post %{name}.service

%postun
%service_del_postun %{name}.service

%files
%doc README *.txt
%{_mandir}/man?/*
%{_sbindir}/cachefilesd
%{_sbindir}/rc%{name}
%config(noreplace) %{_sysconfdir}/cachefilesd.conf
%dir %{_localstatedir}/cache/fscache
%{_unitdir}/%{name}.service

%changelog
* Mon Feb 26 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%patch -P N instead of deprecated %%patchN.
* Sun Aug 16 2020 Dirk Mueller <dmueller@suse.com>
- update to 0.10.10:
  * no changelog available
  - remove fix-cpu-spin.patch (solved differently upstream)
* Sun Oct  4 2015 bmwiedemann@suse.de
- replace sources with compressed tarball
* Fri May 29 2015 mpluskal@suse.com
- Use url for source
- Update dependencies
  * don't depend on whole systemd
- Move autoreconf to %%prepare section
- Add rcservice symlink
* Tue Mar 11 2014 nfbrown@suse.com
- fix-cpu-spin.patch - Fix problem were cachefilesd
  would sometimes enter a tight loop wasting CPU time.
  bnc#843575
* Thu Mar 14 2013 p.drouand@gmail.com
- Use real systemd service file instead of sysvinit converted file
* Mon Mar  4 2013 dmair@suse.com
- Added a modification to the howto that reflects the current
  location and material in the cachefilesd monitoring facility.
  From text by bking@suse.com (bnc#804834)
* Thu Nov  1 2012 crrodriguez@opensuse.org
- IF the user starts the daemon he/she expects it to work
  with no fiddling, load the cachefiles kernel module
  directly from the daemon using libkmod so it just works.
* Tue Jul 10 2012 crrodriguez@opensuse.org
- Use autotools to build the package.
- Fix the configuration files not to enforce a selinux policy.
* Tue Jul 10 2012 crrodriguez@opensuse.org
- Update to version 0.10.5, no changelog found.
- Add systemd units.
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
* Mon Jun  6 2011 aj@suse.de
- Fix build with newer glibc due to missing includes.
- Use RPM_OPT_FLAGS.
- Add short description to init file.
* Mon Apr 20 2009 tiwai@suse.de
- add init script; fix file list
* Mon Apr 20 2009 tiwai@suse.de
- initial version 0.9
- still no init script; will be added later
